githubEdit

eth_getTransactionByBlockHashAndIndex - Polygon

Example code for the eth_getTransactionByBlockHashAndIndex json-rpc method. Сomplete guide on how to use eth_getTransactionByBlockHashAndIndex json-rpc in GetBlock.io Web3 documentation.

The eth_getTransactionByBlockHashAndIndex method returns information about a transaction by block hash and transaction index position.

Parameters

Parameter
Type
Required
Description

blockHash

string

Yes

32-byte hash of the block

transactionIndex

string

Yes

Transaction index position in hexadecimal

Request

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getTransactionByBlockHashAndIndex",
    "params": ["0x3f07a9c83155594c000642e7d60e8a8a00038d03e9849171a05ed0e2d47acbb3", "0x0"],
    "id": "getblock.io"
}'

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": {
        "hash": "0x...",
        "blockHash": "0x...",
        "blockNumber": "0x...",
        "from": "0x...",
        "to": "0x...",
        "value": "0x..."
    }
}
chevron-rightResponse Parametershashtag
Field
Type
Description

jsonrpc

string

JSON-RPC version (2.0)

id

string

Request identifier

result

varies

Transaction object or null if not found

Use Case

The eth_getTransactionByBlockHashAndIndex method is useful for:

  • Block scanning

  • Transaction indexing

  • Block explorers

  • Data extraction

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

-32600

Invalid Request

Malformed request body

-32602

Invalid params

Invalid method parameters

Web3 Integration

Last updated

Was this helpful?